Subject: Re: [EDUC] Re : Nouvelle version de Framadate
From: Fabián Rodríguez <[email-masked]>
To: [email-masked]
Date: Fri, 28 Nov 2014 09:40:49 -0500
List-Id: <educ.april.org>

Le 2014-11-28 09:18, Nicolas George a écrit :
> Le septidi 7 frimaire, an CCXXIII, Fabián Rodríguez a écrit :
>> > En effet, et je vois ça seulement comme une étape de transition vers
>> > l'auto-hébergement. Framasoft aussi, c'est clair.
> Cet argument relève une des deux principales erreurs de raisonnement dans
> n'argumentaire de RMS : négliger le bénéfice escompté par les gens qui ont
> recours au SaaS. 

Cette transition peut durer /des années/... Le bénéfice est là jusqu'au
moment où on décide de passer à la prochaine étpae.

> Il faut s'en rendre compte, l'époque où chacun avait sa
> tour sous le bureau est révolue. De nos jours, les gens veulent bosser dans
> le train ou chez des amis sur leur gadget ultra-portable, sans pour autant
> tout perdre s'ils se le font chouraver deux heures plus tard.

Je ne crois pas, pas complètement  en tout cas. Le phénomène des
ordinateurs complets miniaturisés (rPi, etc.) me donne un autre son de
cloche. Oui pour la mobilité, mais non pour la centralisation.

>
> Répondre LibreOffice à quelqu'un qui veut du Google docs, c'est comme
> répondre de prendre la voiture pour aller à la librairie de la grande ville
> à cinquante bornes à quelqu'un qui se réjouit qu'amazon livre à domicile en
> deux jours : complètement à côté de la plaque.

En effet, je répondrais plutôt Etherpad / Framapad (le code de Google
Docs provient initialement de là d'ailleurs), ou OwnCloud (qui paraît-il
peut gérer la collaboration sur un .ODT - j'ai pas essayé encore).

C'est important de refaire ces recherches, ça change constamment et de
plus en plus rapidement - mais difficile (ça prends du temps!).

> Pour autant, l'auto-hébergement n'est pas une solution. En admettant, ce qui
> est très illusoire, que les gens apprennent à gérer leur serveur et sa
> sécurité (ben ouais, un serveur, par essence, c'est exposé),
> l'auto-hébergement veut dire une machine allumée chacun 24h/24 pour une
> utilisation... 10% du temps, au maximum pour un individu normal. À l'époque
> où réchauffement climatique et transition énergétique sont sur toutes les
> lèvres, c'est un peu contre-productif.

Les nouveaux appareils comme le rPi consomment bcp. moins, les
plateformes ARM aussi. La tendance que je vois n'est pas vers maîtriser
ce qui existe techniquement mais plutôt vers rendre plus facile et
accesisble à tous (via des paneaux de contrôle web par exemple), etc.

>
> L'autre grosse erreur de raisonnement dans l'argumentaire, c'est d'idéaliser
> le cas du logiciel contrôlé par l'utilisateur. Soyons sérieux, qui a audité
> la totalité de sa distribution avant de la compiler (avec un compilateur
> obtenu de source complètement distincte, sinon Ken Thompson va rigoler) en
> entier ? Qui peut affirmer que parmi les dizaines de développeurs Debian,
> aucun n'est sous la coupe de la NSA ? On ne peut pas utiliser l'informatique
> sans faire un minimum confiance à des organisation tierces. Le SaaS rend
> cette confiance plus difficile à contrôler et plus facile à trahir, mais
> c'est une différence quantitative, pas qualitative.

En effet, c'est une chaîne de confiance qu'il faut établir, mais il faut
commencer qq. part. Selon votre logique, on y renoncerait avant de
commencer.

>
> Enfin, un dernier point que je trouve choquant dans cet argumentaire, c'est
> le fait qu'il cisèle la définition de SaaS sur mesure pour inclure les
> services qu'il n'aime pas (Google docs) mais pas les services qu'il aime
> bien (Savannah). Ça ne donne pas très confiance.

Non, il cisèle les services qu'on ne peut pas héberger (G.Docs) et ceux
qu'on pourrait.

F.

-- 
Fabián Rodríguez - XMPP/Jabber+OTR: [email-masked]
http://fsf.magicfab.ca